
#ifndef UTILITIES_H
#define UTILITIES_H

#include <time.h>

int split (char *s, char ***parts, char fs);

int fuse (char ***parts, int count);

int save_myfprintf (FILE *fp, const char *, ...)
#ifdef __GNUC__
__attribute__ ((format (printf, 2, 3)))     /* gcc will check printf() args */
#endif
;

void timecvt (struct time *time, char *string);
int timetol (struct time time1, struct time time2, int nsamples, float samplesPerSec);
int timeprt (struct time time);

time_t compute_time(int yy, int ddd, int h, int m, int s);

void cvttime(char *yyyyDDMMstr, struct time *t);

int delaz (float folat, float folon, float ftlat, float ftlon, float *del, float *az, float *baz);

int rdseed_alert_msg_out (char *msg);

int str_isnum (char *ss);
char strlst (char *string);
int trim (char *s);

int get_word_order();

#endif /* UTILITIES_H */
